#include <bits/stdc++.h>
using namespace std;

int main()
{
    long n;
    cin>>n;

    string num;
    for(long i=0; i<n; i++) {
        int br;
        scanf("%d", &br);
        num+=to_string(br);
    }

    string temp = num;
    int numOfSwaps = 0;

    for (int i = 0; i < num.length(); i++) {
        for (int j = i + 1; j < num.length(); j++) {

            swap(num[i], num[j]);
            if ((num) > (temp)) {
                numOfSwaps++;
                temp = num;
            }

            swap(num[i], num[j]);
        }
    }

    if (numOfSwaps == 0) {
        int length = temp.length();
        swap(temp[length-1], temp[length-2]);
    }

    for(int i=0; i<temp.length(); i++)
        printf("%c ",temp[i]);

    return 0;
}